Bug 826809 - [abrt] ibus-unikey-0.6.1-2.fc17: Process /usr/libexec/ibus-engine-unikey was killed by signal 6 (SIGABRT)
[abrt] ibus-unikey-0.6.1-2.fc17: Process /usr/libexec/ibus-engine-unikey was ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ibus-unikey (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Truong Anh Tuan
Fedora Extras Quality Assurance
abrt_hash:0c887783dda3f0c153acc7cd790...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 22:27 EDT by Cuong Pham
Modified: 2013-08-01 08:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:41:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (29.57 KB, text/plain)
2012-05-30 22:27 EDT, Cuong Pham
no flags Details
File: coredump (17.64 MB, text/plain)
2012-05-30 22:28 EDT, Cuong Pham
no flags Details
File: maps (8.62 KB, text/plain)
2012-05-30 22:28 EDT, Cuong Pham
no flags Details

  None (edit)
Description Cuong Pham 2012-05-30 22:27:08 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-unikey --ibus
comment:        I invoke to start it, but it crashed
executable:     /usr/libexec/ibus-engine-unikey
kernel:         3.3.7-1.fc17.i686
pid:            5388
pwd:            /tmp
time:           Thu 31 May 2012 09:20:56 AM ICT
uid:            1000
username:       cuongpt
var_log_messages: May 31 09:20:56 cuongpt-laptop abrt[5643]: Saved core dump of pid 5388 (/usr/libexec/ibus-engine-unikey) to /var/spool/abrt/ccpp-2012-05-31-09:20:56-5388 (18493440 bytes)
xsession_errors: 

backtrace:      Text file, 30281 bytes
maps:           Text file, 8825 bytes

build_ids:
:9aea670864d2a34a222fd110376f7946b702de7c
:0a1a8bf5237a71d763d23520783335c8fe6c31dd
:e22e1e456283c0cdf171447a61c4f04e354f8b2a
:c8c155acc515416efd9d0e407ec2667e30f58083
:d74e309f7f349388b9a030bf4a0fea06628bdffd
:31054406efb1dc8ec398187d39df5a7fc56e9843
:1bf5714f8c058dd66f3e5dd3afb6550e8a0594b9
:ccd17c03940a8cb54bb2f9c6f6d76626976fccf7
:72a78e5847730928a002fd2c9719c4258a54e265
:5b5557b5b0427930b220a00961393e29809c42f0
:7468ba793c595989f2e6a123e4a2af42f38ef0fe
:757d0ed5f496fc377d8558caf8987cefa4679f96
:de77b9c1ea8f88712017f4d99ad3d86726f54023
:0192dd2785a5ee3ae8c4e920cb320c702385d4ef
:bef638b29fdf84e92e8f33383eb8adb175128188
:346c7f8a791cd1b7be07bfff6f849d658d506a17
:5ed22372ce6aa9cdeb91dab57c67156a2af5f0e4
:4c23c393ed8b8565bd8e90d5b57a868ba0ccfab3
:c231c23d958aa42bb98f000cee5a9a11e090249d
:f13e5fa699a7129ee3080ddeb31558ef7578cddb
:c7112059d672dfb1b17ed4be88fa89f30b547841
:c9666f5e43b3b03d782acadda76ae3074095c8a4
:92aaf9e3a33962226af01da69620e9be799859d4
:3e8db068ebbfae69654767b42d9b0475c53121e7
:f33f4f69982b27f076e5f609f26aff70e2d3043e
:030b5d1726ecd29df95bdeeff0b2d62043833fee
:dcc657d139ae8e1376df57b844635277883e75b8
:9ff154685b04583c95ef0f393e8be81e3c51ca7b
:abcfe6b280fcee6f1f127d40d8f54e6b4d896f5a
:44c41056c19b8d570687d81f9f94a30644fe3a59
:1cd4f6965c72439a547cd22e0ade7f3cd72e744f
:88355dd86bb6db28d6805ab8d9dc0c0f3886e721

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/cuongpt/2

core_backtrace:
:a7d01277a5a79897325c2740f58261aaa18d2907 0x416 __kernel_vsyscall linux-gate.so.1 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x2e95f raise libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x302b3 abort libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x6c7b5 __libc_message libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x730f2 malloc_printerr libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x751f7 _int_malloc libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x77421 malloc libc.so.6 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x4cf1c - libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x4d2c2 g_malloc libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x64788 g_strndup libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x8633e g_variant_type_dup_string libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x85831 g_variant_type_info_get libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x7ecab - libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x7c5b6 g_variant_builder_end libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x7dd90 - libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x7dfcd g_variant_new_va libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x7e344 g_variant_builder_add libglib-2.0.so.0 -
:dcc657d139ae8e1376df57b844635277883e75b8 0xc865d g_dbus_message_to_blob libgio-2.0.so.0 -
:dcc657d139ae8e1376df57b844635277883e75b8 0xbc90d - libgio-2.0.so.0 -
:dcc657d139ae8e1376df57b844635277883e75b8 0xbe04d g_dbus_connection_send_message_with_reply libgio-2.0.so.0 -
:dcc657d139ae8e1376df57b844635277883e75b8 0xc15c2 g_dbus_connection_send_message_with_reply_sync libgio-2.0.so.0 -
:dcc657d139ae8e1376df57b844635277883e75b8 0xc1940 - libgio-2.0.so.0 -
:dcc657d139ae8e1376df57b844635277883e75b8 0xce69d - libgio-2.0.so.0 -
:1bf5714f8c058dd66f3e5dd3afb6550e8a0594b9 0x1b9ec ibus_config_get_value libibus-1.0.so.5 -
:44c41056c19b8d570687d81f9f94a30644fe3a59 0x7a61 - [exe] -
:44c41056c19b8d570687d81f9f94a30644fe3a59 0x5cc7 - [exe] -
:72a78e5847730928a002fd2c9719c4258a54e265 0x2f837 g_type_create_instance libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0x11d52 - libgobject-2.0.so.0 -
:1bf5714f8c058dd66f3e5dd3afb6550e8a0594b9 0xc210 - libibus-1.0.so.5 -
:72a78e5847730928a002fd2c9719c4258a54e265 0x134fd g_object_newv libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0x13d3a g_object_new_valist libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0x13f94 g_object_new libgobject-2.0.so.0 -
:1bf5714f8c058dd66f3e5dd3afb6550e8a0594b9 0x10dae ibus_engine_new_with_type libibus-1.0.so.5 -
:1bf5714f8c058dd66f3e5dd3afb6550e8a0594b9 0xef26 - libibus-1.0.so.5 -
:1bf5714f8c058dd66f3e5dd3afb6550e8a0594b9 0xb2da - libibus-1.0.so.5 -
:72a78e5847730928a002fd2c9719c4258a54e265 0xbbce - libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0xcda7 g_closure_invoke libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0x1e778 - libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0x26aee g_signal_emit_valist libgobject-2.0.so.0 -
:72a78e5847730928a002fd2c9719c4258a54e265 0x26f08 g_signal_emit libgobject-2.0.so.0 -
:1bf5714f8c058dd66f3e5dd3afb6550e8a0594b9 0xf120 - libibus-1.0.so.5 -
:1bf5714f8c058dd66f3e5dd3afb6550e8a0594b9 0xd8b8 - libibus-1.0.so.5 -
:dcc657d139ae8e1376df57b844635277883e75b8 0xbfd9c - libgio-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x44931 - libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x46f11 g_main_context_dispatch libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x47390 - libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x477f3 g_main_loop_run libglib-2.0.so.0 -
:1bf5714f8c058dd66f3e5dd3afb6550e8a0594b9 0xc062 ibus_main libibus-1.0.so.5 -
:44c41056c19b8d570687d81f9f94a30644fe3a59 0x586d - [exe] -

dso_list:
:/usr/lib/gio/modules/libgvfsdbus.so gvfs-1.12.3-1.fc17.i686 (Fedora Project) 1337719273
:/usr/lib/libgobject-2.0.so.0.3200.1 glib2-2.32.1-1.fc17.i686 (Fedora Project) 1337719200
:/usr/lib/libgthread-2.0.so.0.3200.1 glib2-2.32.1-1.fc17.i686 (Fedora Project) 1337719200
:/usr/lib/libselinux.so.1 libselinux-2.1.10-3.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libpthread-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719195
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-3.fc17.i686 (Fedora Project) 1337719199
:/usr/lib/libffi.so.5.0.10 libffi-3.0.10-2.fc17.i686 (Fedora Project) 1337719198
:/usr/lib/libstdc++.so.6.0.17 libstdc++-4.7.0-5.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libelf-0.153.so elfutils-libelf-0.153-2.fc17.i686 (Fedora Project) 1337719199
:/usr/lib/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.i686 (Fedora Project) 1337719189
:/usr/lib/libX11.so.6.3.0 libX11-1.4.99.901-2.fc17.i686 (Fedora Project) 1337719199
:/usr/lib/libnss_files-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719195
:/usr/lib/libm-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719195
:/usr/libexec/ibus-engine-unikey ibus-unikey-0.6.1-2.fc17.i686 (Fedora Project) 1338371131
:/usr/lib/libgvfscommon.so.0.0.0 gvfs-1.12.3-1.fc17.i686 (Fedora Project) 1337719273
:/usr/lib/libbluray.so.1.1.0 libbluray-0.2.2-1.fc17.i686 (Fedora Project) 1337719201
:/usr/lib/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-4.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/gio/modules/libgioremote-volume-monitor.so gvfs-1.12.3-1.fc17.i686 (Fedora Project) 1337719273
:/usr/lib/libgio-2.0.so.0.3200.1 glib2-2.32.1-1.fc17.i686 (Fedora Project) 1337719200
:/usr/lib/ld-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719195
:/usr/lib/libgmodule-2.0.so.0.3200.1 glib2-2.32.1-1.fc17.i686 (Fedora Project) 1337719200
:/usr/lib/libz.so.1.2.5 zlib-1.2.5-6.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libglib-2.0.so.0.3200.1 glib2-2.32.1-1.fc17.i686 (Fedora Project) 1337719200
:/usr/lib/gio/modules/libdconfsettings.so dconf-0.12.0-1.fc17.i686 (Fedora Project) 1337719252
:/usr/lib/locale/locale-archive glibc-common-2.15-37.fc17.i686 (Fedora Project) 1337719194
:/usr/lib/libc-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719195
:/usr/lib/libibus-1.0.so.5.0.499 ibus-libs-1.4.99.20120428-2.fc17.i686 (Fedora Project) 1338365548
:/usr/lib/librt-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719195
:/usr/lib/libresolv-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719195
:/usr/lib/libdl-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719195
:/usr/lib/libutil-2.15.so glibc-2.15-37.fc17.i686 (Fedora Project) 1337719195
:/usr/lib/libxml2.so.2.7.8 libxml2-2.7.8-7.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libxcb.so.1.1.0 libxcb-1.8.1-1.fc17.i686 (Fedora Project) 1338365607

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-Qy5VNNGTAM,guid=f7a8e54e8faf0a546ddfa7b60000001e
:XDG_RUNTIME_DIR=/run/user/cuongpt
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GDMSESSION=gnome
:XDG_VTNR=1
:USERNAME=
:XDG_SESSION_ID=2
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Qy5VNNGTAM,guid=f7a8e54e8faf0a546ddfa7b60000001e
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-cuongpt-8UsQ0E/database
:USER=cuongpt
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=924
:SHLVL=1
:PWD=/home/cuongpt
:GDM_LANG=en_US.utf8
:GNOME_KEYRING_CONTROL=/run/user/cuongpt/keyring-gyRsG1
:LANG=en_US.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=cuongpt
:HOME=/home/cuongpt
:LC_CTYPE=en_US.utf8
:GTK_IM_MODULE=ibus
:QT_IM_MODULE=xim
:XMODIFIERS=@im=ibus

event_log:
:2012-05-31-09:21:33> Analyzing coredump 'coredump'
:2012-05-31-09:21:36  Coredump references 32 debuginfo files, 1 of them are not installed
:2012-05-31-09:21:36  Setting up yum repositories
:2012-05-31-09:22:50  Looking for needed packages in repositories
:2012-05-31-09:22:55  Packages to download: 1
:2012-05-31-09:22:56  Downloading (1 of 1) ibus-unikey-debuginfo-0.6.1-2.fc17.i686.rpm: 100%
:2012-05-31-09:22:56  Extracting cpio from /tmp/abrt-tmp-debuginfo-2012-05-31-09:21:33.5698/ibus-unikey-debuginfo-0.6.1-2.fc17.i686.rpm
:2012-05-31-09:22:56  Caching files from unpacked.cpio made from ibus-unikey-debuginfo-0.6.1-2.fc17.i686.rpm
:2012-05-31-09:22:56  Removing /tmp/abrt-tmp-debuginfo-2012-05-31-09:21:33.5698
:2012-05-31-09:22:56  All debuginfo files are available
:2012-05-31-09:22:56  Generating backtrace
:2012-05-31-09:22:58  Backtrace is generated and saved, 30281 bytes
:2012-05-31-09:26:22> Element 'xsession_errors' saved

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 27800                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       27800                27800                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/dev/null
:pos:	0
:flags:	0100001
:2:/dev/null
:pos:	0
:flags:	0100001
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:socket:[66000]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[65296]
:pos:	0
:flags:	02004002
:8:anon_inode:inotify
:pos:	0
:flags:	02004000
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[66004]
:pos:	0
:flags:	02004002
Comment 1 Cuong Pham 2012-05-30 22:27:15 EDT
Created attachment 587919 [details]
File: backtrace
Comment 2 Cuong Pham 2012-05-30 22:28:32 EDT
Created attachment 587920 [details]
File: coredump
Comment 3 Cuong Pham 2012-05-30 22:28:37 EDT
Created attachment 587921 [details]
File: maps
Comment 4 Duy Hung Tran 2012-10-18 01:56:55 EDT
I hit shortcut keys to switch between my input methods and abrt message appeared at the bottom of the screen. It doesn't always happen. I have no idea what was wrong.

backtrace_rating: 4
Package: ibus-unikey-0.6.1-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Duy Hung Tran 2012-10-18 02:08:40 EDT
Just an additional comment, althought abrt detected there was a problem but ibus still worked well, there was no crash, I still could type Vietnamese with no problem.
Comment 6 Truong Anh Tuan 2012-10-18 02:30:47 EDT
Duy Hung Tran: your issue may be different from Cuong Pham's issue. In his case, ibus was crashed.

Anyway, I cc upstream developers here to have better support.
Comment 7 Fedora End Of Life 2013-07-04 00:06:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 08:41:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.